Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces.impl
Class SimpleTreeNode

    java.lang.Object
      org.jboss.console.manager.interfaces.impl.SimpleTreeNode

All Implemented Interfaces:
  Serializable, TreeNode

Direct Known Subclasses:
  SimpleResourceTreeNode

public class SimpleTreeNode
extends Object
implements TreeNode

Version:
  $Revision: 1.5 $

  Revisions:

  31 dec 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Field Summary
`protected TreeAction` | `action`
`protected String` | `description`
`protected String` | `icon`
`protected boolean` | `isMaster`
`protected TreeNodeMenuEntry[]` | `menuEntries`
`protected String` | `name`
`protected ResourceTreeNode[]` | `nodeManagableResources`
`protected TreeNode[]` | `subNodes`

Constructor Summary
`SimpleTreeNode()`
`SimpleTreeNode(String name, String description, String icon, TreeAction action, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] nodeManagableResources)`

Method Summary
`TreeAction` | `getAction()`
`String` | `getDescription()`
`String` | `getIcon()`
`TreeNodeMenuEntry[]` | `getMenuEntries()`
`String` | `getName()`
`ResourceTreeNode[]` | `getNodeManagableResources()`
`TreeNode[]` | `getSubNodes()`
`boolean` | `isMasterNode()` indicates if, in the presence of several nodes fighting for the same ResourceTreeNode in mode INVISIBLE_IF_SUBNODE_EXISTS, this node is master and other nodes (if any) will go as sub-nodes of this one
`TreeNode` | `setMasterNode(boolean master)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### description

    protected String description

### icon

    protected String icon

### action

    protected TreeAction action

### menuEntries

    protected TreeNodeMenuEntry[] menuEntries

### subNodes

    protected TreeNode[] subNodes

### nodeManagableResources

    protected ResourceTreeNode[] nodeManagableResources

### isMaster

    protected boolean isMaster

Constructor Detail

### SimpleTreeNode

    public SimpleTreeNode()

### SimpleTreeNode

    public SimpleTreeNode(String name,
                          String description,
                          String icon,
                          TreeAction action,
                          TreeNodeMenuEntry[] menuEntries,
                          TreeNode[] subNodes,
                          ResourceTreeNode[] nodeManagableResources)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `TreeNode`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `TreeNode`

### getIcon

    public String getIcon()

  Specified by:
    `getIcon` in interface `TreeNode`

### getAction

    public TreeAction getAction()

  Specified by:
    `getAction` in interface `TreeNode`

### getMenuEntries

    public TreeNodeMenuEntry[] getMenuEntries()

  Specified by:
    `getMenuEntries` in interface `TreeNode`

### getSubNodes

    public TreeNode[] getSubNodes()

  Specified by:
    `getSubNodes` in interface `TreeNode`

### getNodeManagableResources

    public ResourceTreeNode[] getNodeManagableResources()

  Specified by:
    `getNodeManagableResources` in interface `TreeNode`

### isMasterNode

    public boolean isMasterNode()

  Description copied from interface: `TreeNode`
  indicates if, in the presence of several nodes fighting for the same ResourceTreeNode in mode INVISIBLE_IF_SUBNODE_EXISTS, this node is master and other nodes (if any) will go as sub-nodes of this one

  Specified by:
    `isMasterNode` in interface `TreeNode`

### setMasterNode

    public TreeNode setMasterNode(boolean master)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.